## postgis-2.5 2.5.5+dfsg

=== extensions/address_standardizer/Makefile ===
include ../upgradeable_versions.mk
OBJS = \
    address_parser.o \
    address_standardizer.o \
    std_pg_hash.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    parseaddress-api.o \
    standard.o \
    tokenize.o

OBJS_test_main = \
    test_main.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    standard.o \
    tokenize.o

POSTGIS_PGSQL_VERSION=96
# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P
GREP=/bin/grep
PERL=/usr/bin/perl
EXTVERSION    = 2.5.5
MINORVERSION  = 2.5
MODULE_big = address_standardizer
EXTENSION = address_standardizer
DATA = sql/$(EXTENSION).sql sql/$(EXTENSION)_data_us.sql

DATA_built = \
	$(EXTENSION).control \
	$(EXTENSION)_data_us.control \
	$(NULL)

all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/address_standardizer--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
 sql/$(EXTENSION)_data_us.sql sql/address_standardizer--2.5.5.sql sql/$(EXTENSION)_data_us--2.5.5.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql \
sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql

EXTRA_CLEAN += sql/*.sql

DOCS = README.address_standardizer
PG_CPPFLAGS = -g -O2  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -DHAVE_SFCGAL   

SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib  -lgeos_c -lproj  -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL -lgmpxx  -Wl,--exclude-libs,ALL  -lpcre
EXTRA_CLEAN = usps-st-city-name.txt mk-st-regexp mk-city-regex test_main
REGRESS = test-init-extensions test-parseaddress test-standardize_address_1 test-standardize_address_2

# PGXS information
PG_CONFIG = /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config

PGVER := $(shell $(PG_CONFIG) --version)


# Set PERL _after_ the include of PGXS
PERL=/usr/bin/perl

# Borrow the $libdir substitution from PGXS but customise by running the preprocessor
# and adding the version number
sql/%.sql: %.sql.in
	mkdir -p sql
	$(SQLPP) -I../libpgcommon $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$$libdir/${EXTENSION}'g" > $@

%.control: %.control.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		> $@

sql/address_standardizer--2.5.5.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer--1.0--$(EXTVERSION).sql:  sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

# Scripts making up the extension minor upgrade file
# NOTE: order matters
EXTENSION_UPGRADE_SCRIPTS = \
	sql/address_standardizer_functions.sql


sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS)
	cat $(EXTENSION_UPGRADE_SCRIPTS) > $@

include ../upgrade-paths-rules.mk

# build us data extension
sql/$(EXTENSION)_data_us--$(EXTVERSION).sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

sql/$(EXTENSION)_data_us.sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to next cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@

mk-st-regexp: mk-st-regexp.pl
	$(PERL) -c mk-st-regexp.pl
	rm -f mk-st-regexp
	echo "#! " $(PERL) > mk-st-regexp
	cat mk-st-regexp.pl >> mk-st-regexp
	chmod ugo+x mk-st-regexp

mk-city-regex: mk-city-regex.pl usps-st-city-name.txt
	$(PERL) -c mk-city-regex.pl
	rm -f mk-city-regex
	echo "#! " $(PERL) > mk-city-regex
	cat mk-city-regex.pl >> mk-city-regex
	chmod ugo+x mk-city-regex

usps-st-city-name.txt: usps-st-city-orig.txt usps-st-city-adds.txt
	cat usps-st-city-orig.txt usps-st-city-adds.txt | sort -u >usps-st-city-name.txt

#parseaddress-stcities.h: mk-city-regex
#	./mk-city-regex > parseaddress-stcities.h

#parseaddress-regex.h: mk-st-regexp
#	./mk-st-regexp > parseaddress-regex.h

dist-clean:
	rm -f mk-st-regexp mk-city-regex usps-st-city-name.txt test_main Makefile


test_main: $(OBJS_test_main)
	gcc -o test_main $(OBJS_test_main) $(LDFLAGS) $(LIBS)

test_main.o: test_main.c pagc_api.h pagc_std_api.h

address_parser.o: address_parser.c parseaddress-api.h

address_standardizer.o: address_standardizer.c std_pg_hash.h pagc_api.h pagc_std_api.h

analyze.o: analyze.c pagc_api.h

err_param.o: err_param.c pagc_api.h

export.o: export.c pagc_api.h pagc_tools.h

gamma.o: gamma.c pagc_api.h pagc_std_api.h gamma.h

hash.o: hash.c hash.h khash.h

lexicon.o: lexicon.c pagc_api.h pagc_std_api.h

pagc_tools.o: pagc_tools.c pagc_tools.h pagc_common.h

parseaddress-api.o: parseaddress-api.c parseaddress-api.h parseaddress-stcities.h parseaddress-regex.h

standard.o: standard.c pagc_api.h

tokenize.o: tokenize.c pagc_api.h

std_pg_hash.o: std_pg_hash.c std_pg_hash.h pagc_api.h pagc_std_api.h

#only extension files
DATA += $(wildcard sql/*--*.sql)
EXTRA_CLEAN += sql/*.sql
EXTRA_CLEAN += $(wildcard expected/*--*.out)
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql *.a *.so *.dll

distclean: clean
	rm Makefile

PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl

## postgis-2.5 2.5.3+dfsg

=== debian/changelog ===
postgis-2.5 (2.5.3+dfsg-3.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Jan 2020 13:13:35 +0100

postgis-2.5 (2.5.3+dfsg-3) unstable; urgency=medium

  * Rename source package to postgis-2.5 so we can build packages even with
    postgis 3 around. Skip building postgis, postgis-doc, and postgis-gui.
  * Disable failing raster test.
  * Disable tests that fail on PG12.
  * Add dctrl-tools to build-depends.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Jan 2020 13:13:35 +0100

postgis (2.5.3+dfsg-2) unstable; urgency=medium

  * Instead of conflicting with older postgresql-*-postgis-*-scripts packages,
    use the alternatives system for managing the extension/*.control files.
    This finally allows us to depend on the -scripts package from the main
    extension package.
  * debian/tests: Run regression tests.
  * regress: Backport fix for oriented-envelope test to be less sensitive.
  * topology: Backport regression test update for geos 3.8 compatibility.
  * Add debian/.gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Oct 2019 13:26:11 +0200

postgis (2.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Aug 2019 09:18:54 +0200

postgis (2.5.2+dfsg-2) unstable; urgency=medium

  * Merge -arch & -indep targets.
    (closes: #932833)
  * Update PIE hardening conditional, trusty is EOL.
  * Explicitly remove liblwgeom.la before dh_install.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 21:51:23 +0200

postgis (2.5.2+dfsg-1) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 13:12:25 +0200

postgis (2.5.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Mar 2019 06:59:37 +0100

postgis (2.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to symbols file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Nov 2018 06:52:52 +0100

postgis (2.5.0+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Oct 2018 09:04:35 +0200

postgis (2.5.0+dfsg-2~exp1) experimental; urgency=medium

  * Strip trailing comma from Uploaders.
  * Reorder Breaks/Provides/Replaces fields.
  * Update packaging for postgresql-11.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Oct 2018 17:05:37 +0200

postgis (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Sep 2018 07:30:53 +0200

postgis (2.5.0~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Sep 2018 07:27:59 +0200

postgis (2.5.0~rc1+dfsg-1~exp1) experimental; urgency=medium

  [ Christoph Berg ]
  * Provide postgresql-PGVERSION-postgis{,-scripts} so pgrouting can depend on
    us without an explicit postgis version.

  [ Bas Couwenberg ]
  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Aug 2018 08:42:48 +0200

postgis (2.5.0~beta2+dfsg-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * New upstream beta release.
  * Don't quote filter string to fix match of first and last items.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update copyright years for Paul Ramsey.
  * Drop rt_gdalwarp.patch, worked around by upstream.
  * Drop unused override for hardening-no-fortify-functions.
  * Separate test restrictions with a comma.

  [ Christoph Berg ]
  * Re-enable tests on arm64 armel armhf i386 ppc64el, fixed upstream.
  * Use make check RUNTESTFLAGS="-v" instead of cat'ing the failed results
    from /tmp. Suggested by Darafei Praliaskouski, thanks!
  * Provide postgresql-postgis and postgresql-postgis-scripts, so we can
    depend on them in autopkgtests in other packages.
  * Drop transitional postgresql-*-postgis-scripts package. The PG 9.6 variant
    was already transitional in stretch, and the PG 10 variant was never in a
    stable release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Aug 2018 13:15:01 +0200

postgis (2.5.0~beta1+dfsg-1~exp2) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.5, no changes.
  * Skip tests on arm64 & ppc64el too.
  * Drop parallel patches, fixed upstream.

  [ Christoph Berg ]
  * debian/pgversions: Bump to 9.4+, 9.3 is no longer supported.
  * Bump required GEOS version to 3.5.
  * Work around failure in building the postgis_tiger_geocoder extension.
  * debian/rules: Ignore test failures instead of disabling tests completely
    on specific architectures; ignore tests on i386.
  * Don't run tests in -indep builds.
  * debian/rules: Import architecture from /usr/share/dpkg/architecture.mk.
  * Re-enable tests on Ubuntu.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Jul 2018 22:46:26 +0200

postgis (2.5.0~beta1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Re-enable SFCGAL support, FTBFS with CGAL 4.12 is fixed.
  * Disable PIE only on older Ubuntu releases.
  * Update copyright file, add copyright holders, update copyright years.
  * Refresh patches.
  * Disable parallel patches, may be fixed upstream.
  * Update Conflicts for postgis-2.4.
  * Update lintian override for address_standardizer.
  * Update symbols for 2.5.0~beta1.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Jul 2018 07:51:44 +0200

postgis (2.4.4+dfsg-4) unstable; urgency=medium



=== debian/control ===
Source: postgis-2.5
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Markus Wanner <markus@bluegap.ch>,
           Bas Couwenberg <sebastic@debian.org>,
           Christoph Berg <myon@debian.org>
Section: misc
Priority: optional
Build-Depends: autoconf2.13,
               autotools-dev,
               bison,
               dctrl-tools,
               dblatex,
               debhelper (>= 9),
               dh-autoreconf,
               docbook,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               flex,
               imagemagick,
               libcunit1-dev,
               libgdal-dev (>= 1.11.2+dfsg-3~) | libgdal1-dev (>= 1.9.0~),
               libgeos-dev (>= 3.5),
               libgtk2.0-dev,
               libjson-c-dev | libjson0-dev (>= 0.9~),
               libproj-dev (>= 4.6.0),
               libprotobuf-c-dev,
               libsfcgal-dev [!armel],
               libxml2-dev (>= 2.5.0~),
               lsb-release,
               po-debconf,
               postgresql-all,
               postgresql-common (>= 148~),
               postgresql-server-dev-all,
               protobuf-c-compiler,
               rdfind,
               xsltproc
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git -b postgis-2.5
Homepage: http://postgis.net/

Package: postgis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-12-postgis-2.5,
            postgis-doc
Suggests: postgis-gui
Description: Geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries for importing and
 exporting shape and raster files: pgsql2shp, raster2pgsql, and shp2pgsql.

Package: postgis-gui
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-12-postgis-2.5,
            postgis-doc
Suggests: postgis
Breaks: postgis (<< 2.2.2+dfsg-2~)
Replaces: postgis (<< 2.2.2+dfsg-2~)
Description: Geographic objects support for PostgreSQL -- GUI programs
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS graphical shape file loader,
 shp2pgsql-gui.

Package: postgis-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: postgis
Description: Geographic objects support for PostgreSQL -- documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS documentation.

Package: liblwgeom-2.5-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PostGIS "Lightweight Geometry" library
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This library is the generic geometry handling section of PostGIS. The
 geometry objects, constructors, destructors, and a set of spatial
 processing functions, are implemented here.

Package: liblwgeom-dev
Architecture: any
Section: libdevel
Depends: liblwgeom-2.5-0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: postgis (<< 2.0.0)
Description: PostGIS "Lightweight Geometry" library - Development files
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This library is the generic geometry handling section of PostGIS. The
 geometry objects, constructors, destructors, and a set of spatial
 processing functions, are implemented here.  This package contains
 the development files.

Package: postgresql-9.4-postgis-2.5
Architecture: any
Depends: postgresql-9.4,
         postgresql-9.4-postgis-2.5-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-9.4-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 9.4
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 9.4 database, the
 postgresql-9.4-postgis-2.5-scripts package must be installed as well.

Package: postgresql-9.4-postgis-2.5-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-9.4-postgis-2.5
Breaks: postgresql-9.4-postgis-scripts (<< 2.2.2+dfsg-3~)
Conflicts: postgresql-9.4-postgis-2.2-scripts,
           postgresql-9.4-postgis-2.3-scripts,
           postgresql-9.4-postgis-2.4-scripts
Provides: postgresql-9.4-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-9.4-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 9.4 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 9.4 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-9.5-postgis-2.5
Architecture: any
Depends: postgresql-9.5,
         postgresql-9.5-postgis-2.5-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-9.5-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 9.5
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 9.5 database, the
 postgresql-9.5-postgis-2.5-scripts package must be installed as well.

Package: postgresql-9.5-postgis-2.5-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-9.5-postgis-2.5
Breaks: postgresql-9.5-postgis-scripts (<< 2.2.2+dfsg-3~)
Conflicts: postgresql-9.5-postgis-2.2-scripts,
           postgresql-9.5-postgis-2.3-scripts,
           postgresql-9.5-postgis-2.4-scripts
Provides: postgresql-9.5-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-9.5-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 9.5 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 9.5 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-9.6-postgis-2.5
Architecture: any
Depends: postgresql-9.6,
         postgresql-9.6-postgis-2.5-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-9.6-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 9.6
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 9.6 database, the
 postgresql-9.6-postgis-2.5-scripts package must be installed as well.

Package: postgresql-9.6-postgis-2.5-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-9.6-postgis-2.5
Breaks: postgresql-9.6-postgis-scripts (<< 2.2.2+dfsg-3~)
Conflicts: postgresql-9.6-postgis-2.2-scripts,
           postgresql-9.6-postgis-2.3-scripts,
           postgresql-9.6-postgis-2.4-scripts
Provides: postgresql-9.6-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-9.6-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 9.6 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 9.6 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-10-postgis-2.5
Architecture: any
Depends: postgresql-10,
         postgresql-10-postgis-2.5-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-10-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 10
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 10 database, the
 postgresql-10-postgis-2.5-scripts package must be installed as well.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Disable PIE on Ubuntu where it's still problematic
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)

ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial bionic))
    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
  endif
endif

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Magic to automatically create a debian/control file for the (or all)
# supported versions of Postgres.
#
# Blatantly copied from
# /usr/share/postgresql-common/pgxs_debian_control.mk and extended to
# support NEWEST_VERSION and fiddle with postgis 2.0 transitional
# packages.
debian/control: debian/control.in debian/pgversions
	(set -e; \
	VERSIONS=`pg_buildext supported-versions $(CURDIR)` || exit $$?; \
	NEWEST_VERSION=`pg_buildext supported-versions $(CURDIR) | tail -1` || exit $$?; \
	grep-dctrl -vP PGVERSION $< \
		| sed -e "s:NEWEST_PGVERSION:$$NEWEST_VERSION:" > $@.pgxs_tmp; \
	for v in $$VERSIONS; do \
		grep-dctrl -P PGVERSION $< \
			| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
	done; \
	mv $@.pgxs_tmp $@) || (rm -f $@.pgxs_tmp; exit 1)

CHECK_FAIL = exit 2
# Ignore test failure on problematic architectures
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64))
	CHECK_FAIL = exit 0
endif

# Upstream version (including ~rcN) for symbols version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

MAJOR_VERSION = $(shell grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2)
MINOR_VERSION = $(shell grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2)
MICRO_VERSION = $(shell grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2)
POSTGIS_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(POSTGIS_VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

LIBLWGEOM_CURRENT   = $(shell grep ^LIBLWGEOM_IFACE_CUR Version.config | cut -d= -f2)
LIBLWGEOM_REVISION  = $(shell grep ^LIBLWGEOM_IFACE_REV Version.config | cut -d= -f2)
LIBLWGEOM_AGE       = $(shell grep ^LIBLWGEOM_IFACE_AGE Version.config | cut -d= -f2)
LIBLWGEOM_SOVERSION = $(shell expr $(LIBLWGEOM_CURRENT) - $(LIBLWGEOM_AGE))
ifeq ($(LIBLWGEOM_SOVERSION),)
$(error Cannot detect liblwgeom SOVERSION, fix debian/rules)
endif

# For the Postgres APT repository, we want to support multiple
# Postgres versions. However, docs and the JDBC jar only need to be
# built once - in the main directory.
NEWEST_POSTGRES_VERSION = $(shell pg_buildext supported-versions $(CURDIR) | tail -1)
ifeq ($(NEWEST_POSTGRES_VERSION),)
$(error Cannot detect Postgres version, check debian/pgversions and pg_buildext)
endif

OTHER_POSTGRES_VERSIONS = $(shell pg_buildext supported-versions $(CURDIR) \
	| grep -v "$(NEWEST_POSTGRES_VERSION)")

COMMON_CONFIGURE_ARGS = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec-prefix=\$${prefix} \
	--docdir=\$${prefix}/share/doc \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--without-interrupt-tests \
	--with-gui

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_clean: debian/control
#	Clean all separate build directories.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		rm -rf $(CURDIR)/debian/build-$$PGVER; \
	done)

	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) distclean || true
	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) -C doc images-clean || true

#	Cleanup after the Makefile
	rm -f postgis/postgis_upgrade_20_minor.sql.in \
		raster/rt_pg/rtpostgis_drop.sql \
		raster/rt_pg/rtpostgis_upgrade_cleanup.sql

#	Cleanup auto-generated packaging control files
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.postinst
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.prerm
	rm -f loader/cunit/cu_tester
	rm -rf liblwgeom/cunit/.libs

#	Cleanup the temporary environment file.
	rm -f postgis-check-env.tmp

override_dh_auto_configure:
#	Copy sources required to build extensions for all but the most
#	recent Postgres version. Unfortunately, Postgis doesn't support
#	vpath builds.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		mkdir $(CURDIR)/debian/build-$$PGVER; \
		for FILE in `ls $(CURDIR) | grep -v debian`; do \
			cp -a $$FILE $(CURDIR)/debian/build-$$PGVER; \
		done; \
	done)

#	PostGIS for the most recent PostgreSQL version
	@echo " ### configuring $(NEWEST_POSTGRES_VERSION) ###"
	./configure $(COMMON_CONFIGURE_ARGS) \
		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config

#	PostGIS for all older Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### configuring $$PGVER ###"; \
		cd $(CURDIR)/debian/build-$$PGVER; \
		./configure $(COMMON_CONFIGURE_ARGS) \
			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config; \
	done)

override_dh_auto_build:
#	Create debhelper files for each Postgres major version
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for SUFFIX in .install -scripts.install -scripts.postinst -scripts.prerm; do \
			cat $(CURDIR)/debian/postgresql-generic-postgis$$SUFFIX.in \
				| sed -e "s/@PGVERSION@/$$PGVER/g" \
				> $(CURDIR)/debian/postgresql-$$PGVER-postgis-$(MAJOR_VERSION).$(MINOR_VERSION)$$SUFFIX; \
		done \
	done)

#	Build against the newest Postgres version
	@echo " ### building $(NEWEST_POSTGRES_VERSION) ###"
	$(MAKE) $(NJOBS)
	$(MAKE) $(NJOBS) -C doc

#	Build against all other Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### building $$PGVER ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER; \
	done)

#	Let PostGIS create a perl script from postgis_restore.pl.in
	$(MAKE) $(NJOBS) -C utils

#	Create a few SQL scripts that the Makefiles are not clever enough
#	to resolve, when building arch-indep only.
	$(MAKE) $(NJOBS) -C postgis postgis.sql postgis_upgrade.sql
	$(MAKE) $(NJOBS) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade.sql
	$(MAKE) $(NJOBS) -C topology topology.sql topology_upgrade.sql

#	This creates the required SQL scripts. Again, the Makefile is not
#	clever enough to run this before 'install'.
	$(MAKE) $(NJOBS) -C extensions

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#   Run unit tests (against the newest Postgres version, first)
	echo "LD_PRELOAD = '$(CURDIR)/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
		> $(CURDIR)/postgis-check-env.tmp
	echo " ### testing $(NEWEST_POSTGRES_VERSION) ###"
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		-c '--environment $(CURDIR)/postgis-check-env.tmp' \
		make check RUNTESTFLAGS="-v" || $(CHECK_FAIL)

#	Test against all other Postgres versions
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### testing $$PGVER ###"; \
		echo "LD_PRELOAD = '$(CURDIR)/debian/build-$$PGVER/liblwgeom/.libs/liblwgeom-$(MAJOR_VERSION).$(MINOR_VERSION).so.$(LIBLWGEOM_SOVERSION)'" \
			> $(CURDIR)/postgis-check-env.tmp; \
		pg_virtualenv -v $$PGVER \
			-c '--environment $(CURDIR)/postgis-check-env.tmp' \

## postgis-2.5 2.5.5+dfsg

=== debian/changelog ===
postgis-2.5 (2.5.5+dfsg-1.pgdg20.04+2) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 17 Aug 2020 14:52:20 +0200

postgis-2.5 (2.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Work around build failure with GCC 10.
  * Drop tests that changed with GDAL 3.1.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Aug 2020 14:52:20 +0200

postgis-2.5 (2.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Mar 2020 11:53:05 +0100

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-12-postgis-2.5,
+Recommends: postgresql-13-postgis-2.5,
             postgis-doc
 Suggests: postgis-gui
 Description: Geographic objects support for PostgreSQL
@@ -63,7 +63,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: postgresql-12-postgis-2.5,
+Recommends: postgresql-13-postgis-2.5,
             postgis-doc
 Suggests: postgis
 Breaks: postgis (<< 2.2.2+dfsg-2~)
@@ -130,51 +130,6 @@
  geometry objects, constructors, destructors, and a set of spatial
  processing functions, are implemented here.  This package contains
  the development files.
-
-Package: postgresql-9.4-postgis-2.5
-Architecture: any
-Depends: postgresql-9.4,
-         postgresql-9.4-postgis-2.5-scripts,
-         ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: postgis
-Breaks: postgis (<< 1.2.1)
-Provides: postgresql-9.4-postgis,
-          postgresql-postgis
-Description: Geographic objects support for PostgreSQL 9.4
- PostGIS adds support for geographic objects to the PostgreSQL
- object-relational database. In effect, PostGIS "spatially enables"
- the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- To create the PostGIS extensions in a PostgreSQL 9.4 database, the
- postgresql-9.4-postgis-2.5-scripts package must be installed as well.
-
-Package: postgresql-9.4-postgis-2.5-scripts
-Architecture: all
-Multi-Arch: foreign
-Depends: ${perl:Depends},
-         ${misc:Depends}
-Recommends: postgresql-9.4-postgis-2.5
-Breaks: postgresql-9.4-postgis-scripts (<< 2.2.2+dfsg-3~)
-Conflicts: postgresql-9.4-postgis-2.2-scripts,
-           postgresql-9.4-postgis-2.3-scripts,
-           postgresql-9.4-postgis-2.4-scripts
-Provides: postgresql-9.4-postgis-scripts,
-          postgresql-postgis-scripts
-Replaces: postgresql-9.4-postgis-scripts (<< 2.2.2+dfsg-3~)
-Description: Geographic objects support for PostgreSQL 9.4 -- SQL scripts
- PostGIS adds support for geographic objects to the PostgreSQL
- object-relational database. In effect, PostGIS "spatially enables"
- the PostgreSQL server, allowing it to be used as a backend spatial
- database for geographic information systems (GIS), much like ESRI's
- SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
- "Simple Features Specification for SQL".
- .
- This package contains the SQL scripts for installing PostGIS in a PostgreSQL
- 9.4 database, and for upgrading from earlier PostGIS versions.
 
 Package: postgresql-9.5-postgis-2.5
 Architecture: any
@@ -287,3 +242,48 @@
  To create the PostGIS extensions in a PostgreSQL 10 database, the
  postgresql-10-postgis-2.5-scripts package must be installed as well.
 
+Package: postgresql-10-postgis-2.5-scripts
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+         ${misc:Depends}
+Recommends: postgresql-10-postgis-2.5
+Breaks: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
+Conflicts: postgresql-10-postgis-2.2-scripts,
+           postgresql-10-postgis-2.3-scripts,
+           postgresql-10-postgis-2.4-scripts
+Provides: postgresql-10-postgis-scripts,
+          postgresql-postgis-scripts
+Replaces: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
+Description: Geographic objects support for PostgreSQL 10 -- SQL scripts
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ This package contains the SQL scripts for installing PostGIS in a PostgreSQL
+ 10 database, and for upgrading from earlier PostGIS versions.
+
+Package: postgresql-11-postgis-2.5
+Architecture: any
+Depends: postgresql-11,
+         postgresql-11-postgis-2.5-scripts,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: postgis
+Breaks: postgis (<< 1.2.1)
+Provides: postgresql-11-postgis,
+          postgresql-postgis
+Description: Geographic objects support for PostgreSQL 11
+ PostGIS adds support for geographic objects to the PostgreSQL
+ object-relational database. In effect, PostGIS "spatially enables"
+ the PostgreSQL server, allowing it to be used as a backend spatial
+ database for geographic information systems (GIS), much like ESRI's
+ SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
+ "Simple Features Specification for SQL".
+ .
+ To create the PostGIS extensions in a PostgreSQL 11 database, the
+ postgresql-11-postgis-2.5-scripts package must be installed as well.
+

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
+
+# work around build failure with GCC 10
+CFLAGS += -fcommon
 
 # Magic to automatically create a debian/control file for the (or all)
 # supported versions of Postgres.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
repacksuffix=+dfsg \
https://download.osgeo.org/postgis/source/ \
(?:.*/|)postgis[\-\._]?(2.5[\d\.]+(?:(?:RC|rc|pre|dev|beta|alpha|b|a)\d+)?)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
